KNOWLEDGE BASE

Error "An error occurred while communicating with PostgreSQL Database" Using Mac OS X El Capitan


Published: 13 Oct 2015
Last Modified Date: 12 Nov 2015

Issue

When connecting to an SSL-enabled Postgres database from a computer running Mac OS X El Capitan, the following error might occur:

An error occurred while communicating with PostgreSQL Database.
Unable to connect to the server. Check that the server is running and that you have access privileges to the requested database.
        sslmode value "require" invalid when SSL support is not compiled in

Environment

  • Tableau Desktop
  • Mac OS X El Capitan
  • Postgres with SSL enabled

Resolution

Download and install the latest version of the PostgreSQL driver from the Drivers & Activation page.

Cause

This behavior is related to a known issue that is currently under investigation.
Did this article resolve the issue?